import { Token } from 'typedi';
import { ModuleOptions } from './types';
export declare function Module(pOptions: ModuleOptions | string): <T extends new (...args: any[]) => {}>(target: T) => any;
export declare function State(): (target: any, propertyName: string) => void;
export declare function Inject(type?: (type?: any) => Function): Function;
export declare function Inject(serviceName?: string): Function;
export declare function Inject(token: Token<any>): Function;
export declare function Getter(): (target: any, propertyName: string, descriptor: PropertyDescriptor) => void;
export declare function Mutation(): (target: any, propertyName: string, descriptor: TypedPropertyDescriptor<(payload?: any) => void>) => void;
export declare function Action(): (target: any, propertyName: string, descriptor: TypedPropertyDescriptor<(payload?: any) => Promise<any>>) => void;
