"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var vuex_1 = tslib_1.__importDefault(require("vuex"));
var utils_1 = require("./utils");
function install(vue, options) {
    vue.use(vuex_1.default);
    vue.mixin({
        beforeCreate: function () {
            var container;
            if (this.$store) {
                var storeBuilder = this.$store.__storeBuilder__;
                container = storeBuilder ? storeBuilder.container : undefined;
            }
            utils_1.injectUtil.injectAll(this, container);
        }
    });
}
exports.install = install;
//# sourceMappingURL=install.js.map